Create a new quiz
curl --request POST \
--url https://app.quizrise.com/api/v1/quiz/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"language": "<string>",
"content": "<string>",
"url": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://app.quizrise.com/api/v1/quiz/create"
payload = {
"count": 123,
"language": "<string>",
"content": "<string>",
"url": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
count: 123,
language: '<string>',
content: '<string>',
url: '<string>',
tags: ['<string>']
})
};
fetch('https://app.quizrise.com/api/v1/quiz/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"quiz": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"slug": "<string>",
"visibility": "<string>",
"creator": {
"name": "<string>",
"avatar": "<string>"
},
"tags": [
"<string>"
],
"questionCount": 123,
"flashcardCount": 123,
"quizAttemptCount": 123
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Quiz Routes
Create New Quiz API
Create a new quiz with AI-generated questions based on provided content and tags
POST
/
quiz
/
create
Create a new quiz
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The type of questions to create
Available options:
TRUEFALSE, FILLBLANK, MULTIPLECHOICE The number of questions to create. Maximum is 150.
The source of the content to create questions from
Available options:
WEBSITE, TEXT, PDF The language of the questions to create. Default is content language. Example: 'English'
The difficulty of the questions to create
Available options:
EASY, MEDIUM, HARD The content to create questions from. Required if url is not provided.
The url of the content to create questions from. Required if content is not provided.
⌘I